## CamelNNTPAddress

CamelNNTPAddress

## Functions

CamelNNTPAddress * | camel_nntp_address_new ()
gint | camel_nntp_address_add ()
gboolean | camel_nntp_address_get ()

## Types and Values

struct | CamelNNTPAddress

## Object Hierarchy

        GObject
        ╰── CamelAddress
            ╰── CamelNNTPAddress

## Description

## Functions

### camel_nntp_address_new ()

    CamelNNTPAddress *
    camel_nntp_address_new (void);

Create a new CamelNNTPAddress object.

#### Returns

A new CamelNNTPAddress object.

### camel_nntp_address_add ()

    gint
    camel_nntp_address_add (CamelNNTPAddress *a,
                            const gchar *name);

Add a new nntp address to the address object. Duplicates are not added twice.

#### Parameters

a | nntp address object |

#### Returns

Index of added entry, or existing matching entry.

### camel_nntp_address_get ()

    gboolean
    camel_nntp_address_get (CamelNNTPAddress *a,
                            gint index,
                            const gchar **namep);

Get the address at `index` .

#### Parameters

a | nntp address object |
index | address's array index |
namep | Holder for the returned address, or NULL, if not required. |

#### Returns

TRUE if such an address exists, or FALSE otherwise.

## Types and Values

### struct CamelNNTPAddress

    struct CamelNNTPAddress;